require('dotenv').config();
module.exports = {


    friendlyName: 'Create',


    description: 'Create Attribution matiere!',


    inputs: {
        codeMatiere: {
            type: 'string',
            required: true
        },

        codeEcole: {
            type: 'string',
            required: true
        },
        codeClasse: {
            type: 'string',
            required: true
        },
        matricule: {
            type: 'string',
            required: true
        },
        libelleCourt: {
            type: 'string',
        },

        libelleLong: {
            type: 'string',
        },

        trimSem: {
            type: 'string',
        },

        coef: {
            type: 'string',
        },

        logiUsername: {
            type: 'string',
            require: true

        },
        key: {
            type: 'string',
            require: true

        },
        logiPassword: {
            type: 'string',
            require: true

        },


    },


    exits: {
        notFound: {
            statusCode: 404
        },
    },


    fn: async function (inputs, exits) {

        //console.log("INPUTS 1", inputs)

        // TOKEN VERIFY
        let user = await Utilisateurs.find({ login: inputs.logiUsername, codeUser: inputs.logiPassword }).then(_.first)
        if (!user) {
            return exits.notFound('Utilisateur non trouvé')
        }
        console.log("INPUTS 2", inputs)

        let keyVerify = process.env.KEYVERIFY
        //
        if (keyVerify !== inputs.key) {
            return exits.notFound({ message: "Token non valide" })
        }


        ///////////////////
        let attributionMatiereEleveCreate;
        let attributionMatiereEleve = await AttributionMatiereEleve.find({
            codeMatiere: inputs.codeMatiere,
            codeEcole: inputs.codeEcole,
            codeClasse: inputs.codeClasse,
            matricule: inputs.matricule,
            trimSem: inputs.trimSem
        }).then(_.first)
        if (attributionMatiereEleve) {
            console.log("ICI", attributionMatiereEleve)
            return exits.notFound({ message: "Cette Attribution existe déja, veuillez la modifier!" })
        } else {
            attributionMatiereEleveCreate = await AttributionMatiereEleve.create(inputs).fetch();
        }
        // All done.
        return exits.success(attributionMatiereEleveCreate);

    }


};
